Project

General

Profile

Bug #837

phpgedview

Added by ricklach over 10 years ago. Updated over 7 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Category:
Apps
Target version:
-
Start date:
05/30/2011
Due date:
% Done:

0%


Description

The following code was generated by the subject program following the install process and after trying to login:
ERROR 2: date(): It is not safe to rely on the system's timezone settings. You are required to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'America/Los_Angeles' for 'PDT/-7.0/DST' instead
0 Error occurred on in function date
1 called from line 310 of file session.php in function require_once
2 called from line 75 of file config.php in function require
3 called from line 29 of file login.php
Warning: date(): It is not safe to rely on the system's timezone settings. You are required to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'America/Los_Angeles' for 'PDT/-7.0/DST' instead in /var/hda/web-apps/phpgedview/html/includes/authentication.php on line 294 Warning: date(): It is not safe to rely on the system's timezone settings. You are required to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'America/Los_Angeles' for 'PDT/-7.0/DST' instead in /var/hda/web-apps/phpgedview/html/includes/authentication.php on line 299 Warning: date(): It is not safe to rely on the system's timezone settings. You are required to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'America/Los_Angeles' for 'PDT/-7.0/DST' instead in /var/hda/web-apps/phpgedview/html/includes/session.php on line 310

This essentially stops the program and login to fix the program does not seem possible.

History

#1 Updated by bigfoot65 over 10 years ago

I am checking it out now. Is working in my VM, so not sure why you are having issues. Please check the /var/log/amahi-app-installer.log.

Also, please keep in mind this is an alpha app, so bugs are expected. I saw no errors in my log either.

#2 Updated by cpg over 10 years ago

the php.ini is really done at installation.

for whatever reason, it looks like your box was not configured properly at that time it was installed. There was a brief period of time that this bug was in the wild until we caught it.

my suggestion is to patch it by hand in /etc/php.ini

find the timezone stuff and set it up to your timezone. we used to have a script to find out the precise format ... but i cannot see this this very moment.

#3 Updated by bigfoot65 over 7 years ago

  • Status changed from New to Closed
  • Assignee deleted (bigfoot65)

No longer needed.

Also available in: Atom